### Function

# GWeather Location get_world

#### Declaration [src]

    GWeatherLocation*
    gweather_location_get_world (
      void
    )

#### Description [src]

Obtains the shared `GWeatherLocation` of type `GWEATHER_LOCATION_WORLD`, representing a hierarchy containing all of the locations from the location data.

#### Return value

Type: `GWeatherLocation`

A `GWEATHER_LOCATION_WORLD` location, or `NULL` if the locations data could not be found or could not be parsed.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.